Subject: [tsvwg] Fwd: New Version Notification for draft-roca-tsvwg-rlc-fec-scheme-01.txt

From: Vincent Roca <[email-masked]>
Date: Wed, 28 Jun 2017 11:04:01 +0200

And here is the second I-D update...

Main differences WRT -00 version, some of them motivated by M-J feedbacks:

- we replaced references to « convolutional codes » by « sliding window codes »
- we kept the acronym RLC but changed the expanded name to add « sliding window » to it 
	(to avoid confusion as we already communicated a lot under the RLC name)
- we changed text in order to support multiple repair symbols per FEC Repair Packet (useful when the
	symbol size E is small compared to the PMTU)
- we filled Section 5. "FEC Code Specification » that now describe encoding and decoding operations
	This section plus Sections 3 and 4 should be sufficient to have interoperable implementations
	(at least that’s the goal)
- we detailed sections 7 « Security Considerations » and 8 « Operations and Management Considerations »

For the same reasons it is still submitted as an individual I-D and this email is cross-posted to NWCRG.

Cheers,

  Vincent

> De: [email-masked]
> Objet: New Version Notification for draft-roca-tsvwg-rlc-fec-scheme-01.txt
> Date: 27 juin 2017 à 18:10:25 UTC+2
> À: "Vincent Roca" <[email-masked]>
> 
> 
> A new version of I-D, draft-roca-tsvwg-rlc-fec-scheme-01.txt
> has been successfully submitted by Vincent Roca and posted to the
> IETF repository.
> 
> Name:		draft-roca-tsvwg-rlc-fec-scheme
> Revision:	01
> Title:		The Sliding Window Random Linear Code (RLC) Forward Erasure Correction (FEC) Scheme for FECFRAME
> Document date:	2017-06-27
> Group:		Individual Submission
> Pages:		23
> URL:            https://www.ietf.org/internet-drafts/draft-roca-tsvwg-rlc-fec-scheme-01.txt
> Status:         https://datatracker.ietf.org/doc/draft-roca-tsvwg-rlc-fec-scheme/
> Htmlized:       https://tools.ietf.org/html/draft-roca-tsvwg-rlc-fec-scheme-01
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-roca-tsvwg-rlc-fec-scheme-01
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-roca-tsvwg-rlc-fec-scheme-01
> 
> Abstract:
>   This document describes a fully-specified FEC scheme for the Sliding
>   Window Random Linear Codes (RLC) over GF(2^^m), where m equals 1
>   (binary case), 4 or 8, that can be used to protect arbitrary media
>   streams along the lines defined by FECFRAME extended to sliding
>   window codes.  These sliding window FEC codes rely on an encoding
>   window that slides over the source symbols, generating new repair
>   symbols whenever needed.  Compared to block FEC codes, these sliding
>   window FEC codes offer key advantages with real-time flows in terms
>   of reduced FEC-related latency while often providing improved erasure
>   recovery capabilities.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>